﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace HtmlPlaceholderInWindow
{
	public partial class MainPage : UserControl
	{
		Uri documentUri;
		public MainPage()
		{
			InitializeComponent();
			this.documentUri = new Uri("Telerik_Sales_Dashboard_whitepaper.pdf", UriKind.Relative);

		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			RadHtmlPlaceholder placeholder = new RadHtmlPlaceholder();
			placeholder.SourceUrl = this.documentUri;

			RadWindow window = new RadWindow();
			window.Content = placeholder;
			window.WindowStateChanged += new RoutedEventHandler(window_WindowStateChanged);
			window.WindowStartupLocation = WindowStartupLocation.CenterScreen;

			window.Show();
		}

		void window_WindowStateChanged(object sender, RoutedEventArgs e)
		{
			RadWindow window = sender as RadWindow;
			if (window != null &&
				(window.WindowState == WindowState.Normal ||
				window.WindowState == WindowState.Maximized))
			{
				RadHtmlPlaceholder placeholder = window.Content as RadHtmlPlaceholder;
				if (placeholder != null)
				{
					placeholder.SourceUrl = null;
					placeholder.SourceUrl = this.documentUri;
				}
			}
		}
	}
}
